%define		pkg	nopt
Summary:	Node.js option parsing
Name:		nodejs-%{pkg}
Version:	3.0.1
Release:	1
License:	MIT
Group:		Development/Libraries
Source0:	http://registry.npmjs.org/%{pkg}/-/%{pkg}-%{version}.tgz
# Source0-md5:	181d3cfc7aa5edd77fc377ba2f007d97
URL:		https://github.com/isaacs/nopt
BuildRequires:	rpmbuild(macros) >= 1.634
BuildRequires:	sed >= 4.0
Requires:	nodejs
Requires:	nodejs-abbrev < 2.0.0
Requires:	nodejs-abbrev >= 1.0.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An option parsing library for Node.js and its package manager (npm).

%prep
%setup -qc
mv package/* .

%{__sed} -i -e '1s,^#!.*node,#!/usr/bin/node,' bin/*

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{nodejs_libdir}/%{pkg}}
cp -a package.json lib bin $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}

ln -s %{nodejs_libdir}/%{pkg}/bin/%{pkg}.js $RPM_BUILD_ROOT%{_bindir}/%{pkg}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md LICENSE
%attr(755,root,root) %{_bindir}/%{pkg}
%dir %{nodejs_libdir}/%{pkg}
%{nodejs_libdir}/%{pkg}/package.json
%{nodejs_libdir}/%{pkg}/lib
%dir %{nodejs_libdir}/%{pkg}/bin
%attr(755,root,root) %{nodejs_libdir}/%{pkg}/bin/nopt.js
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Jan 10 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nodejs-nopt.git;a=log;h=master

* Sat Jan 09 2016 Elan Ruusamäe <glen@delfi.ee> acbf82e
- up to 3.0.1

* Sat Jan 09 2016 Elan Ruusamäe <glen@delfi.ee> 4ff0e03
- up to 3.0.0

* Sat Jan 09 2016 Elan Ruusamäe <glen@delfi.ee> 4932939
- up to 2.2.1

* Sun Mar 09 2014 Łukasz Kieś <kiesiu@pld-linux.org> 987db47
- updated to 2.2.0

* Sat Feb 16 2013 Aria <aredridel@nbtsc.org> a79803e
- Adapterized

* Sat Feb 16 2013 Aria <aredridel@nbtsc.org> 41e9544
- v2.1.1

* Sat Jun 16 2012 Elan Ruusamäe <glen@pld-linux.org> afb33fd
- fix bin script

* Wed Jan 25 2012 Elan Ruusamäe <glen@pld-linux.org> 564244d
- initial node pkgs for npm deps
  based on specs from http://nodejs.tchol.org/ repo

